Subject: bug#5609: 23.1.92; segfault in composition_compute_stop_pos

From: Kenichi Handa <[email-masked]>
Date: Fri, 26 Feb 2010 10:23:04 +0900

In article <[email-masked]>, YAMAMOTO Mitsuharu <[email-masked]> writes:

> Actually I suspected this out-of-boundary `endpos' value in
> http://lists.gnu.org/archive/html/bug-gnu-emacs/2010-01/msg00522.html

>   I suspect the problematic case is that `charpos + field_width' in
>   reseat_to_string exceeds the length of the given string.  The value of
>   `field_width' is 12 by default when displaying buffer names.

Ya, at that time, I fixed only some other part related the
same problem.

> Also, I guess the upper limit of `endpos' is `SCHARS (it->string)'
> instead of `charpos + SCHARS (it->string)' at line 5614 below.  Could
> you confirm if it is correct?

Of course, you are right!  I've just installed a fix.

---
Kenichi Handa
[email-masked]